void fetchBloomTile(io vec3 tile, c(in int) index) {
	
	float tileScale = exp2(2.0 + index);

	vec3 currentTile = textureLoad(colortex1, upScale(screenPixelsSize * index + texCoord, tileScale, bloomTilePositions[index] * (sqrt(log2(tileScale) * screenPixelsSize) + 1.0))).rgb;

	tile = gammaNonLinear(currentTile) * tileScale + tile;

}